import std.stdio;
import std.getopt;

import prompt.ps1;
import prompt.preexec;
import style.color;

struct Opt {
  bool ps1;
  bool rps1;
  bool preexec;

  int col;
  int row;
}

void main(string[] argv) {
  Opt opts;

  GetoptResult args = getopt(
    argv,
    std.getopt.config.bundling,
    "ps1|p", "print PS1", &opts.ps1,
    "rps1|r", "print RPS1", &opts.rps1,
    "preexec|x", "print preexec", &opts.preexec,

    std.getopt.config.required,
    "col", "terminal width", &opts.col,
    std.getopt.config.required,
    "row", "terminal height", &opts.row,
  );

  if (args.helpWanted) {
    defaultGetoptPrinter("prim", args.options);
  }

  if (opts.ps1) {
    ps1(opts.col).setColor(Color.black).write();
  }

  if (opts.preexec) {
    preexec(opts.col).setColor(Color.black).write();
  }

  write(setColor("", Color.reset));
}
